Skip to main content
GET
/
public
/
v1
/
offsite-ads
/
campaigns
Get vendor offsite campaigns
curl --request GET \
  --url https://api.topsort.com/public/v1/offsite-ads/campaigns \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/offsite-ads/campaigns"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/offsite-ads/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "campaigns": [
    {
      "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "budget": 123,
      "audience": {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "estimatedSize": 123,
        "estimatedSizeRange": {
          "lowerBound": 123,
          "upperBound": 123
        },
        "syncedDsps": []
      }
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Query Parameters

vendor_id
string
required

The ID of the vendor to get the campaign for.

dsps
enum<string>[]

The DSPs to filter campaigns by. If empty, all DSPs are included.

The DSP to scope the requested operation or to filter the response by.

Available options:
google_ads,
meta
include_inactive
boolean | null
default:false

Whether to include inactive campaigns.

limit
integer
default:100

The maximum number of campaigns to return.

Required range: x <= 100
next_page
string | null

The next page token.

Response

Successful Response

hasMore
boolean
required

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

campaigns
OfsiteCampaign · object[]
required

The campaigns for the vendor

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Example:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="